<?php if(!defined('PLX_ROOT')) exit; ?>
<?php

# Control du token du formulaire
plxToken::validateFormToken($_POST);

if(!empty($_POST)) {
	$plxPlugin->setParam('addtoparent', intval($_POST['addtoparent']), 'numeric');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxMySubCategories');
	exit;
}

$addtoparent = $plxPlugin->getParam('addtoparent')=='' ? 1 : $plxPlugin->getParam('addtoparent');

?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>

<form action="parametres_plugin.php?p=plxMySubCategories" method="post" id="form_subcategories">
	<fieldset>
		<p class="field"><label for="id_addtoparent"><?php echo $plxPlugin->lang('L_ADDTOPARENT') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('addtoparent',array('1'=>L_YES,'0'=>L_NO),$addtoparent) ?>
	</fieldset>
	<fieldset>
		<p>
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
		</p>
	</fieldset>
</form>
